#ifndef R2C2_3D_BEAMGATE_H_
#define R2C2_3D_BEAMGATE_H_

#include <msp/gl/objectinstance.h>
#include "libr2c2/beamgate.h"
#include "object.h"

namespace R2C2 {

class BeamGate3D: public Object3D, public Msp::GL::ObjectInstance
{
public:
	BeamGate3D(Layout3D &, BeamGate &);
	~BeamGate3D();

	virtual Vector get_node() const;
	virtual bool is_visible() const { return true; }

	virtual void setup_render(Msp::GL::Renderer &, const Msp::GL::Tag &) const;
};

} // namespace R2C2

#endif
